Skip to content

update user mandate

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

update user mandate

Security
oauth2ClientCredentials(Required scopes: roles:write)
Path
mandate_idstringrequired
approver_idstringrequired
Headers
business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
approverDataobject(UpdateApproverDataV1Dto)required

Approver data containing level and must_approve configuration

Example:
{ "level": 1, "must_approve": false }
curl -i -X PATCH \
  'https://developer.boyahq.com/_mock/v2/openapi/permissions/mandates/{mandate_id}/approvers/{approver_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -d '{
    "approverData": {
      "level": 1,
      "must_approve": false
    }
  }'

Responses

Mandate updated successfully

Bodyapplication/json
statusnumberrequired

HTTP status code

Example:200
dataobject(MandateDataV1Dto)

Response data containing mandate objects

timestampstringrequired

Response timestamp in ISO format

Example:"2026-01-09T11:09:56.314Z"
Response
{ "status": 200, "data": { "data": [] }, "timestamp": "2026-01-09T11:09:56.314Z" }